<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::fallback(function () { return view('errors.notfound'); }); 




// core
Route::get('/', function () {
    return view('pages/dashboard');
});
Route::get('login', function () {
    return View::make('pages/auth/login',['title'=>'Login Page']);
});
Route::get('settings', function () {
    return View::make('pages/settings',[
        'title' => 'Settings',
        'bread' => [
            'title' => 'Settings',
            'title1' => 'Dashboard',
            'link1' => url('/')
        ]
    ]);
});
Route::get('modules', function () {return View::make('pages/modules',[
        'title' => 'Software Module',
        'bread' => [
            'title' => 'Software Module',
            'title1' => 'System',
            // 'link1' => url('/'),
            'title2' => 'Dashboard',
            'link2' => url('/')
        ]
    ]);});
Route::get('user-manager', function () {
    return View::make('pages/user-manager',[
        'title' => 'User Manager',
        'bread' => [
            'title' => 'User Manager',
            'title1' => 'System',
            // 'link1' => url('/'),
            'title2' => 'Dashboard',
            'link2' => url('/')
        ]
    ]);
});
Route::get('permissions', function () {return View::make('pages/permissions',[
        'title' => 'User Permissions',
        'bread' => [
            'title' => 'User Permissions',
            'title1' => 'System',
            // 'link1' => url('/'),
            'title2' => 'Dashboard',
            'link2' => url('/')
        ]
    ]);});
Route::get('branch-manager', function () {return View::make('pages/branch-manager',[
        'title' => 'Branch Manager',
        'bread' => [
            'title' => 'Branch Manager',
            'title1' => 'System',
            // 'link1' => url('/'),
            'title2' => 'Dashboard',
            'link2' => url('/')
        ]
    ]);});
Route::get('role', function () {return View::make('pages/role',[
        'title' => 'Role Manage',
        'bread' => [
            'title' => 'Role Manage',
            'title1' => 'System',
            // 'link1' => url('/'),
            'title2' => 'Dashboard',
            'link2' => url('/')
        ]
    ]);});


############ hr
Route::group(['prefix'=>'hr'], function(){
    Route::get('/', function(){return view('erp/hr/pages/dashboard');});
});

############ attendance
Route::group(['prefix'=>'attendance'], function(){
    Route::get('/', function(){return view('erp/attendance/pages/dashboard');});
});

############# leave
Route::group(['prefix'=>'leave'], function(){
    Route::get('/', function(){return view('erp/leave/pages/dashboard');});
});

############# inventory
Route::group(['prefix'=>'inventory'],function(){
    Route::get('/',function(){return view('erp/inventory/pages/dashboard');});
});

############# account
Route::group(['prefix'=>'accounts'],function(){
    Route::get('/',function(){return view('erp/accounts/pages/dashboard');});
});

############# payroll
Route::group(['prefix'=>'payroll'],function(){
    Route::get('/',function(){return view('erp/payroll/pages/dashboard');});
});

############# supply-chain
Route::group(['prefix'=>'supply-chain'],function(){
    Route::get('/',function(){return view('erp/supply-chain/pages/dashboard');});
});

############# utility
Route::group(['prefix'=>'utility'],function(){
    Route::get('/',function(){return view('erp/utility/pages/dashboard');});
});

############# asset
Route::group(['prefix'=>'asset'],function(){
    Route::get('/',function(){return view('erp/asset/pages/dashboard');});
});

############# transport
Route::group(['prefix'=>'transport'],function(){
    Route::get('/',function(){return view('erp/transport/pages/dashboard');});
});

############# dormetory
Route::group(['prefix'=>'dormetory'],function(){
    Route::get('/',function(){return view('erp/dormetory/pages/dashboard');});
});

############# library
Route::group(['prefix'=>'library'],function(){
    Route::get('/',function(){return view('erp/library/pages/dashboard');});
});

############# land
Route::group(['prefix'=>'land'],function(){
    Route::get('/',function(){return view('erp/land/pages/dashboard');});
});

############# quarter
Route::group(['prefix'=>'quarter'],function(){
    Route::get('/',function(){return view('erp/quarter/pages/dashboard');});
});





############# canteen
Route::group(['prefix'=>'canteen'],function(){
    Route::get('/',function(){return view('erp/canteen/pages/dashboard');});
});

############# dormitory
Route::group(['prefix'=>'dormitory'],function(){
    Route::get('/',function(){return view('erp/dormitory/pages/dashboard');});
});

############# training
Route::group(['prefix'=>'training'],function(){
    Route::get('/',function(){return view('erp/training/pages/dashboard');});
});

############# citizen-charter
Route::group(['prefix'=>'citizen-charter'],function(){
    Route::get('/',function(){return view('erp/citizen-charter/pages/dashboard');});
});

############# laboratory
Route::group(['prefix'=>'laboratory'],function(){
    Route::get('/',function(){return view('erp/laboratory/pages/dashboard');});
});

############# school
Route::group(['prefix'=>'school'],function(){
    Route::get('/',function(){return view('erp/school/pages/dashboard');});
});


############# Research Project Management System (rpms)
Route::group(['prefix'=>'rpms'],function(){
    Route::get('/',function(){return view('erp/rpms/pages/dashboard');});
});

############# Seed Production & Distribution Management (spadm)
Route::group(['prefix'=>'spadm'],function(){
    Route::get('/',function(){return view('erp/spadm/pages/dashboard');});
});

############# Management Information System (MIS) Report (mis-report)
Route::group(['prefix'=>'mis-report'],function(){
    Route::get('/',function(){return view('erp/mis-report/pages/dashboard');});
});







Route::group(['prefix'=>'html'], function(){
    Route::get('/', function(){return view('admin_html/pages/index');});
    Route::get('/login', function(){return view('admin_html/pages/login');});
    Route::get('/gallery', function(){return view('admin_html/pages/gallery');});
    Route::get('/edit-gallery', function(){return view('admin_html/pages/edit-gallery');});
    Route::get('/page', function(){return view('admin_html/pages/page');});
    Route::get('/common', function(){return view('admin_html/pages/common');});
    Route::get('/media-manager', function(){return view('admin_html/pages/media-manager');});
    Route::get('/order-details', function(){return view('admin_html/pages/order-details');});
    Route::get('/user-profile', function(){return view('admin_html/pages/user-profile');});
    Route::get('/notfound', function(){return view('admin_html/pages/notfound');});


    Route::get('/add-category',function(){return view('admin_html/pages/othersPages/add-category');});
    Route::get('/add-menu-type',function(){return view('admin_html/pages/othersPages/add-menu-type');});
    Route::get('/add-menu',function(){return view('admin_html/pages/othersPages/add-menu');});
    Route::get('/add-page',function(){return view('admin_html/pages/othersPages/add-page');});
    Route::get('/add-user',function(){return view('admin_html/pages/othersPages/add-user');});
    Route::get('/category',function(){return view('admin_html/pages/othersPages/category');});
    Route::get('/contact',function(){return view('admin_html/pages/othersPages/contact');});
    Route::get('/other-index',function(){return view('admin_html/pages/othersPages/index');});
    Route::get('/menu-type',function(){return view('admin_html/pages/othersPages/menu-type');});
    Route::get('/menu',function(){return view('admin_html/pages/othersPages/menu');});
    Route::get('/password',function(){return view('admin_html/pages/othersPages/password');});
    Route::get('/permission',function(){return view('admin_html/pages/othersPages/permission');});
    Route::get('/user-manager',function(){return view('admin_html/pages/othersPages/user-manager');});
    Route::get('/view-gallery',function(){return view('admin_html/pages/othersPages/view-gallery');});
    Route::get('/view',function(){return view('admin_html/pages/othersPages/view');});

});